From 9124a68670461500605713f0b699624c9dff040c Mon Sep 17 00:00:00 2001
From: Parth Patel <parthamrutbhai.patel@sjsu.edu>
Date: Sat, 12 Mar 2022 14:36:36 -0800
Subject: [PATCH 1/2] Fixes Issue 241, String localization for
 EmojipickerHelper, a=chris

---
 src/locale/en_US/configure.ini          | 3669 ++++++++++++++-
 src/views/helpers/EmojipickerHelper.php | 5564 +++++++++++++++--------
 2 files changed, 7345 insertions(+), 1888 deletions(-)

diff --git a/src/locale/en_US/configure.ini b/src/locale/en_US/configure.ini
index d0f6f57de..65b4c6885 100644
--- a/src/locale/en_US/configure.ini
+++ b/src/locale/en_US/configure.ini
@@ -1932,4 +5599,4 @@ wordfilter_plugin_settings_saved = "Word Filter Settings Saved!"
 wordfilter_plugin_defaults_restored = "Defaults restored!"
 wordfilter_plugin_preferences = "Word Filter Preferences"
 wordfilter_plugin_factory_settings = "Factory Settings"
-wordfilter_plugin_save = "Save"
+wordfilter_plugin_save = "Save"
\ No newline at end of file
diff --git a/src/views/helpers/EmojipickerHelper.php b/src/views/helpers/EmojipickerHelper.php
index 625432a16..ec3ac63ef 100644
--- a/src/views/helpers/EmojipickerHelper.php
+++ b/src/views/helpers/EmojipickerHelper.php
@@ -1967,7 +3756,8 @@ class EmojipickerHelper extends Helper
             <?php
             $emojis = $group_data["emojis"];
             foreach ($emojis as $shortcut => $emoji_data) {
-                $aria_label = $emoji_data[1]." | Shortcut: [".$shortcut."]";
+                $aria_label = $emoji_data[1]." | ".
+                    tl('emojipicker_helper_shortcut').": [".$shortcut."]";
             ?>
                     <span id="<?=$shortcut?>-emoji" class="emoji"
                         aria-label="<?=$aria_label?>"
@@ -1999,4 +3789,4 @@ class EmojipickerHelper extends Helper
         } ?>
         </div><?php
     }
-}
+}
\ No newline at end of file
-- 
2.35.1


